# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.wiki.attachment.AttachmentManager
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_ALLOWEDEXTENSIONS`
`"jspwiki.attachment.allowed"`
`public static final String`
`PROP_FORBIDDENEXTENSIONS`
`"jspwiki.attachment.forbidden"`
`public static final String`
`PROP_FORCEDOWNLOAD`
`"jspwiki.attachment.forceDownload"`
`public static final String`
`PROP_MAXSIZE`
`"jspwiki.attachment.maxsize"`
`public static final String`
`PROP_PROVIDER`
`"jspwiki.attachment.provider"`
`public static final String`
`PROP_PROVIDER_DEPRECATED`
`"jspwiki.attachmentProvider"`

org.apache.wiki.auth.AuthenticationManager
Modifier and Type
Constant Field
Value
`public static final String`
`PREFIX_LOGIN_MODULE_OPTIONS`
`"jspwiki.loginModule.options."`
`public static final String`
`PROP_ALLOW_COOKIE_ASSERTIONS`
`"jspwiki.cookieAssertions"`
`public static final String`
`PROP_ALLOW_COOKIE_AUTH`
`"jspwiki.cookieAuthentication"`
`public static final String`
`PROP_LOGIN_MODULE`
`"jspwiki.loginModule.class"`
`public static final String`
`PROP_LOGIN_THROTTLING`
`"jspwiki.login.throttling"`
`public static final String`
`PROP_STOREIPADDRESS`
`"jspwiki.storeIPAddress"`
org.apache.wiki.auth.AuthorizationManager
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_AUTHORIZER`
`"org.apache.wiki.auth.authorize.WebContainerAuthorizer"`
`public static final String`
`DEFAULT_POLICY`
`"jspwiki.policy"`
`public static final String`
`POLICY`
`"jspwiki.policy.file"`
`public static final String`
`PROP_AUTHORIZER`
`"jspwiki.authorizer"`
org.apache.wiki.auth.DefaultUserManager
Modifier and Type
Constant Field
Value
`public static final String`
`SESSION_MESSAGES`
`"profile"`
org.apache.wiki.auth.SecurityVerifier
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR`
`"Error."`
`public static final String`
`ERROR_DB`
`"Error.UserDatabase"`
`public static final String`
`ERROR_GROUPS`
`"Error.GroupDatabase"`
`public static final String`
`ERROR_JAAS`
`"Error.Jaas"`
`public static final String`
`ERROR_POLICY`
`"Error.Policy"`
`public static final String`
`ERROR_ROLES`
`"Error.Roles"`
`public static final String`
`INFO`
`"Info."`
`public static final String`
`INFO_DB`
`"Info.UserDatabase"`
`public static final String`
`INFO_GROUPS`
`"Info.GroupDatabase"`
`public static final String`
`INFO_JAAS`
`"Info.Jaas"`
`public static final String`
`INFO_POLICY`
`"Info.Policy"`
`public static final String`
`INFO_ROLES`
`"Info.Roles"`
`public static final String`
`WARNING`
`"Warning."`
`public static final String`
`WARNING_DB`
`"Warning.UserDatabase"`
`public static final String`
`WARNING_GROUPS`
`"Warning.GroupDatabase"`
`public static final String`
`WARNING_JAAS`
`"Warning.Jaas"`
`public static final String`
`WARNING_POLICY`
`"Warning.Policy"`
org.apache.wiki.auth.UserManager
Modifier and Type
Constant Field
Value
`public static final String`
`JSON_USERS`
`"users"`
`public static final String`
`PROP_DATABASE`
`"jspwiki.userdatabase"`
org.apache.wiki.auth.WikiPrincipal
Modifier and Type
Constant Field
Value
`public static final String`
`FULL_NAME`
`"fullName"`
`public static final String`
`LOGIN_NAME`
`"loginName"`
`public static final String`
`UNSPECIFIED`
`"unspecified"`
`public static final String`
`WIKI_NAME`
`"wikiName"`

org.apache.wiki.auth.authorize.GroupManager
Modifier and Type
Constant Field
Value
`public static final String`
`MESSAGES_KEY`
`"group"`
`public static final String`
`PROP_GROUPDATABASE`
`"jspwiki.groupdatabase"`
org.apache.wiki.auth.authorize.JDBCGroupDatabase
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_GROUPDB_CREATED`
`"created"`
`public static final String`
`DEFAULT_GROUPDB_CREATOR`
`"creator"`
`public static final String`
`DEFAULT_GROUPDB_DATASOURCE`
`"jdbc/GroupDatabase"`
`public static final String`
`DEFAULT_GROUPDB_MEMBER`
`"member"`
`public static final String`
`DEFAULT_GROUPDB_MEMBER_TABLE`
`"group_members"`
`public static final String`
`DEFAULT_GROUPDB_MODIFIED`
`"modified"`
`public static final String`
`DEFAULT_GROUPDB_MODIFIER`
`"modifier"`
`public static final String`
`DEFAULT_GROUPDB_NAME`
`"name"`
`public static final String`
`DEFAULT_GROUPDB_TABLE`
`"groups"`
`public static final String`
`PROP_GROUPDB_CREATED`
`"jspwiki.groupdatabase.created"`
`public static final String`
`PROP_GROUPDB_CREATOR`
`"jspwiki.groupdatabase.creator"`
`public static final String`
`PROP_GROUPDB_DATASOURCE`
`"jspwiki.groupdatabase.datasource"`
`public static final String`
`PROP_GROUPDB_MEMBER`
`"jspwiki.groupdatabase.member"`
`public static final String`
`PROP_GROUPDB_MEMBER_TABLE`
`"jspwiki.groupdatabase.membertable"`
`public static final String`
`PROP_GROUPDB_MODIFIED`
`"jspwiki.groupdatabase.modified"`
`public static final String`
`PROP_GROUPDB_MODIFIER`
`"jspwiki.groupdatabase.modifier"`
`public static final String`
`PROP_GROUPDB_NAME`
`"jspwiki.groupdatabase.name"`
`public static final String`
`PROP_GROUPDB_TABLE`
`"jspwiki.groupdatabase.table"`
org.apache.wiki.auth.authorize.XMLGroupDatabase
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_DATABASE`
`"jspwiki.xmlGroupDatabaseFile"`

org.apache.wiki.auth.login.AbstractLoginModule
Modifier and Type
Constant Field
Value
`protected static final String`
`NULL`
`"(null)"`
org.apache.wiki.auth.login.AnonymousLoginModule
Modifier and Type
Constant Field
Value
`public static final String`
`PROMPT`
`"User name"`
org.apache.wiki.auth.login.CookieAssertionLoginModule
Modifier and Type
Constant Field
Value
`public static final String`
`PREFS_COOKIE_NAME`
`"JSPWikiAssertedName"`
org.apache.wiki.auth.login.CookieAuthenticationLoginModule
Modifier and Type
Constant Field
Value
`protected static final String`
`COOKIE_DIR`
`"logincookies"`
`public static final String`
`PROP_LOGIN_EXPIRY_DAYS`
`"jspwiki.cookieAuthentication.expiry"`

org.apache.wiki.auth.permissions.GroupPermission
Modifier and Type
Constant Field
Value
`public static final String`
`DELETE_ACTION`
`"delete"`
`public static final String`
`EDIT_ACTION`
`"edit"`
`public static final String`
`MEMBER_TOKEN`
`"<groupmember>"`
`public static final String`
`VIEW_ACTION`
`"view"`
org.apache.wiki.auth.permissions.PagePermission
Modifier and Type
Constant Field
Value
`public static final String`
`COMMENT_ACTION`
`"comment"`
`public static final String`
`DELETE_ACTION`
`"delete"`
`public static final String`
`EDIT_ACTION`
`"edit"`
`public static final String`
`MODIFY_ACTION`
`"modify"`
`public static final String`
`RENAME_ACTION`
`"rename"`
`public static final String`
`UPLOAD_ACTION`
`"upload"`
`public static final String`
`VIEW_ACTION`
`"view"`
org.apache.wiki.auth.permissions.WikiPermission
Modifier and Type
Constant Field
Value
`public static final String`
`CREATE_GROUPS_ACTION`
`"createGroups"`
`public static final String`
`CREATE_PAGES_ACTION`
`"createPages"`
`public static final String`
`EDIT_PREFERENCES_ACTION`
`"editPreferences"`
`public static final String`
`EDIT_PROFILE_ACTION`
`"editProfile"`
`public static final String`
`LOGIN_ACTION`
`"login"`
`public static final String`
`WILDCARD`
`"*"`

org.apache.wiki.auth.user.AbstractUserDatabase
Modifier and Type
Constant Field
Value
`protected static final String`
`SHA_PREFIX`
`"{SHA}"`
`protected static final String`
`SHA256_PREFIX`
`"{SHA-256}"`
`protected static final String`
`SSHA_PREFIX`
`"{SSHA}"`
org.apache.wiki.auth.user.JDBCUserDatabase
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DB_ATTRIBUTES`
`"attributes"`
`public static final String`
`DEFAULT_DB_CREATED`
`"created"`
`public static final String`
`DEFAULT_DB_EMAIL`
`"email"`
`public static final String`
`DEFAULT_DB_FULL_NAME`
`"full_name"`
`public static final String`
`DEFAULT_DB_JNDI_NAME`
`"jdbc/UserDatabase"`
`public static final String`
`DEFAULT_DB_LOCK_EXPIRY`
`"lock_expiry"`
`public static final String`
`DEFAULT_DB_LOGIN_NAME`
`"login_name"`
`public static final String`
`DEFAULT_DB_MODIFIED`
`"modified"`
`public static final String`
`DEFAULT_DB_OLD_HASHES`
`"oldhashes"`
`public static final String`
`DEFAULT_DB_PASSWORD`
`"password"`
`public static final String`
`DEFAULT_DB_ROLE`
`"role"`
`public static final String`
`DEFAULT_DB_ROLE_TABLE`
`"roles"`
`public static final String`
`DEFAULT_DB_TABLE`
`"users"`
`public static final String`
`DEFAULT_DB_UID`
`"uid"`
`public static final String`
`DEFAULT_DB_WIKI_NAME`
`"wiki_name"`
`public static final String`
`PROP_DB_ATTRIBUTES`
`"jspwiki.userdatabase.attributes"`
`public static final String`
`PROP_DB_CREATED`
`"jspwiki.userdatabase.created"`
`public static final String`
`PROP_DB_DATASOURCE`
`"jspwiki.userdatabase.datasource"`
`public static final String`
`PROP_DB_EMAIL`
`"jspwiki.userdatabase.email"`
`public static final String`
`PROP_DB_FULL_NAME`
`"jspwiki.userdatabase.fullName"`
`public static final String`
`PROP_DB_LOCK_EXPIRY`
`"jspwiki.userdatabase.lockExpiry"`
`public static final String`
`PROP_DB_LOGIN_NAME`
`"jspwiki.userdatabase.loginName"`
`public static final String`
`PROP_DB_MODIFIED`
`"jspwiki.userdatabase.modified"`
`public static final String`
`PROP_DB_OLD_HASHES`
`"jspwiki.userdatabase.oldhashes"`
`public static final String`
`PROP_DB_PASSWORD`
`"jspwiki.userdatabase.password"`
`public static final String`
`PROP_DB_ROLE`
`"jspwiki.userdatabase.role"`
`public static final String`
`PROP_DB_ROLE_TABLE`
`"jspwiki.userdatabase.roleTable"`
`public static final String`
`PROP_DB_TABLE`
`"jspwiki.userdatabase.table"`
`public static final String`
`PROP_DB_UID`
`"jspwiki.userdatabase.uid"`
`public static final String`
`PROP_DB_WIKI_NAME`
`"jspwiki.userdatabase.wikiName"`
org.apache.wiki.auth.user.UserProfile
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_CURRENT_LOGIN_IP`
`"CURRENT_LOGIN_IP"`
`public static final String`
`ATTR_CURRENT_LOGIN_TIMESTAMP`
`"CURRENT_LOGIN_TIMESTAMP"`
`public static final String`
`ATTR_PREVIOUS_LOGIN_IP`
`"PREVIOUS_LOGIN_IP"`
`public static final String`
`ATTR_PREVIOUS_LOGIN_TIMESTAMP`
`"PREVIOUS_LOGIN_TIMESTAMP"`
org.apache.wiki.auth.user.XMLUserDatabase
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_USERDATABASE`
`"jspwiki.xmlUserDatabaseFile"`

org.apache.wiki.diff.DifferenceManager
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_DIFF_PROVIDER`
`"jspwiki.diffProvider"`
org.apache.wiki.diff.ExternalDiffProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_DIFFCOMMAND`
`"jspwiki.diffCommand"`
org.apache.wiki.diff.SvnStyleDiffProvider
Modifier and Type
Constant Field
Value
`public static final String`
`CELL_CHANGE`
`"</td><td>"`
`public static final String`
`CSS_DIFF_ADDED`
`"<tr class=\"diffadd\"><td>"`
`public static final String`
`CSS_DIFF_CLOSE`
`"</td></tr>\n"`
`public static final String`
`CSS_DIFF_REMOVED`
`"<tr class=\"diffrem\"><td>"`
`public static final String`
`CSS_DIFF_UNCHANGED`
`"<tr class=\"diff\"><td>"`

org.apache.wiki.filters.FilterManager
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_XMLFILE`
`"/WEB-INF/filters.xml"`
`public static final String`
`PROP_FILTERXML`
`"jspwiki.filterConfig"`
`public static final int`
`SYSTEM_FILTER_PRIORITY`
`-1000`
`public static final int`
`USER_FILTER_PRIORITY`
`0`
org.apache.wiki.filters.PingWeblogsComFilter
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_PINGURL`
`"pingurl"`
org.apache.wiki.filters.SpamFilter
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_AKISMET_API_KEY`
`"akismet-apikey"`
`public static final String`
`PROP_ALLOWED_GROUPS`
`"jspwiki.filters.spamfilter.allowedgroups"`
`public static final String`
`PROP_BANTIME`
`"bantime"`
`public static final String`
`PROP_BLACKLIST`
`"blacklist"`
`public static final String`
`PROP_CAPTCHA`
`"captcha"`
`public static final String`
`PROP_ERRORPAGE`
`"errorpage"`
`public static final String`
`PROP_FILTERSTRATEGY`
`"strategy"`
`public static final String`
`PROP_IGNORE_AUTHENTICATED`
`"ignoreauthenticated"`
`public static final String`
`PROP_IPLIST`
`"IPlist"`
`public static final String`
`PROP_MAX_PAGENAME_LENGTH`
`"maxpagenamelength"`
`public static final String`
`PROP_MAXURLS`
`"maxurls"`
`public static final String`
`PROP_PAGECHANGES`
`"pagechangesinminute"`
`public static final String`
`PROP_SIMILARCHANGES`
`"similarchanges"`
`public static final String`
`PROP_WORDLIST`
`"wordlist"`
`public static final String`
`STRATEGY_EAGER`
`"eager"`
`public static final String`
`STRATEGY_SCORE`
`"score"`

org.apache.wiki.forms.FormElement
Modifier and Type
Constant Field
Value
`public static final String`
`FORM_VALUES_CARRIER`
`"nbpf_values"`
`public static final String`
`HANDLERPARAM_PREFIX`
`"nbf_"`
`public static final String`
`HIDE_SUCCESS`
`"onsuccess"`
`public static final String`
`PARAM_ELEMENT`
`"element"`
`public static final String`
`PARAM_FORM`
`"form"`
`public static final String`
`PARAM_FORMNAMEHIDDEN`
`"formname"`
`public static final String`
`PARAM_HANDLER`
`"handler"`
`public static final String`
`PARAM_HIDEFORM`
`"hide"`
`public static final String`
`PARAM_INPUTNAME`
`"name"`
`public static final String`
`PARAM_POPULATE`
`"populate"`
`public static final String`
`PARAM_SUBMITHANDLER`
`"submit"`
`public static final String`
`PARAM_VALUE`
`"value"`
org.apache.wiki.forms.FormInfo
Modifier and Type
Constant Field
Value
`public static final int`
`ERROR`
`-1`
`public static final int`
`EXECUTED`
`1`
`public static final int`
`OK`
`0`
org.apache.wiki.forms.FormInput
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_CHECKED`
`"checked"`
`public static final String`
`PARAM_SIZE`
`"size"`
`public static final String`
`PARAM_TYPE`
`"type"`
org.apache.wiki.forms.FormOpen
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_METHOD`
`"method"`
org.apache.wiki.forms.FormTextarea
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_COLS`
`"cols"`
`public static final String`
`PARAM_ROWS`
`"rows"`

org.apache.wiki.i18n.InternationalizationManager
Modifier and Type
Constant Field
Value
`public static final String`
`CORE_BUNDLE`
`"CoreResources"`
`public static final String`
`DEF_TEMPLATE`
`"templates.default"`

org.apache.wiki.modules.ModuleManager
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_I18N_RESOURCE`
`"plugin/PluginResources"`
`public static final String`
`PLUGIN_RESOURCE_LOCATION`
`"ini/jspwiki_module.xml"`

org.apache.wiki.pages.PageManager
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_LOCKEXPIRY`
`"jspwiki.lockExpiryTime"`
`public static final String`
`PROP_PAGEPROVIDER`
`"jspwiki.pageProvider"`
org.apache.wiki.pages.PageSorter
Modifier and Type
Constant Field
Value
`protected static final String`
`PROP_PAGE_NAME_COMPARATOR`
`"jspwiki.pageNameComparator.class"`

org.apache.wiki.parser.CreoleToJSPWikiTranslator
Modifier and Type
Constant Field
Value
`public static final String`
`VAR_CREOLE_VERSION`
`"1.0"`
`public static final String`
`VAR_LINEBREAK_BLOGLIKE`
`"bloglike"`
`public static final String`
`VAR_LINEBREAK_C2LIKE`
`"c2like"`
`public static final String`
`VAR_VERSION`
`"1.0.3"`
org.apache.wiki.parser.Heading
Modifier and Type
Constant Field
Value
`public static final int`
`HEADING_LARGE`
`3`
`public static final int`
`HEADING_MEDIUM`
`2`
`public static final int`
`HEADING_SMALL`
`1`
org.apache.wiki.parser.JSPWikiMarkupParser
Modifier and Type
Constant Field
Value
`protected static final int`
`ATTACHMENT`
`10`
`protected static final int`
`CHARACTER`
`0`
`protected static final int`
`EDIT`
`1`
`protected static final int`
`ELEMENT`
`1`
`protected static final int`
`EMPTY`
`2`
`protected static final int`
`EXTERNAL`
`6`
`protected static final int`
`IGNORE`
`2`
`protected static final int`
`IMAGE`
`5`
`protected static final int`
`IMAGELINK`
`8`
`protected static final int`
`IMAGEWIKILINK`
`9`
`protected static final int`
`INTERWIKI`
`7`
`protected static final int`
`LOCAL`
`3`
`protected static final int`
`LOCALREF`
`4`
`protected static final int`
`READ`
`0`
org.apache.wiki.parser.MarkupParser
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_ATTACHMENT`
`"attachment"`
`public static final String`
`CLASS_EDITPAGE`
`"createpage"`
`public static final String`
`CLASS_EXTERNAL`
`"external"`
`public static final String`
`CLASS_FOOTNOTE`
`"footnote"`
`public static final String`
`CLASS_FOOTNOTE_REF`
`"footnoteref"`
`public static final String`
`CLASS_INTERWIKI`
`"interwiki"`
`public static final String`
`CLASS_WIKIPAGE`
`"wikipage"`
`public static final String`
`HASHLINK`
`"hashlink"`
`public static final String`
`OUTLINK`
`"outlink"`
`public static final String`
`OUTLINK_IMAGE`
`"images/out.png"`
`public static final String`
`PROP_ALLOWHTML`
`"jspwiki.translatorReader.allowHTML"`
`public static final String`
`PROP_CAMELCASELINKS`
`"jspwiki.translatorReader.camelCaseLinks"`
`public static final String`
`PROP_PLAINURIS`
`"jspwiki.translatorReader.plainUris"`
`public static final String`
`PROP_RUNPLUGINS`
`"jspwiki.translatorReader.runPlugins"`
`public static final String`
`PROP_USEATTACHMENTIMAGE`
`"jspwiki.translatorReader.useAttachmentImage"`
`public static final String`
`PROP_USEOUTLINKIMAGE`
`"jspwiki.translatorReader.useOutlinkImage"`
`public static final String`
`PROP_USERELNOFOLLOW`
`"jspwiki.translatorReader.useRelNofollow"`
`protected static final int`
`PUSHBACK_BUFFER_SIZE`
`10240`

org.apache.wiki.plugin.AbstractReferralPlugin
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_ITEMS`
`-1`
`public static final String`
`PARAM_AFTER`
`"after"`
`public static final String`
`PARAM_BEFORE`
`"before"`
`public static final String`
`PARAM_COLUMNS`
`"columns"`
`public static final String`
`PARAM_EXCLUDE`
`"exclude"`
`public static final String`
`PARAM_INCLUDE`
`"include"`
`public static final String`
`PARAM_LASTMODIFIED`
`"showLastModified"`
`public static final String`
`PARAM_MAXWIDTH`
`"maxwidth"`
`public static final String`
`PARAM_SEPARATOR`
`"separator"`
`public static final String`
`PARAM_SHOW`
`"show"`
`public static final String`
`PARAM_SHOW_VALUE_COUNT`
`"count"`
`public static final String`
`PARAM_SHOW_VALUE_PAGES`
`"pages"`
`protected static final String`
`PARAM_SORTORDER`
`"sortOrder"`
`protected static final String`
`PARAM_SORTORDER_HUMAN`
`"human"`
`protected static final String`
`PARAM_SORTORDER_JAVA`
`"java"`
`protected static final String`
`PARAM_SORTORDER_LOCALE`
`"locale"`
org.apache.wiki.plugin.BugReportHandler
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_DESCRIPTION`
`"description"`
`public static final String`
`PARAM_MAPPINGS`
`"map"`
`public static final String`
`PARAM_PAGE`
`"page"`
`public static final String`
`PARAM_TITLE`
`"title"`
`public static final String`
`PARAM_VERSION`
`"version"`
org.apache.wiki.plugin.Counter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NAME`
`"counter"`
`public static final String`
`PARAM_INCREMENT`
`"increment"`
`public static final String`
`PARAM_NAME`
`"name"`
`public static final String`
`PARAM_SHOW_RESULT`
`"showResult"`
`public static final String`
`PARAM_START`
`"start"`
org.apache.wiki.plugin.Denounce
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_LINK`
`"link"`
`public static final String`
`PARAM_TEXT`
`"text"`
org.apache.wiki.plugin.IfPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_CONTAINS`
`"contains"`
`public static final String`
`PARAM_EXISTS`
`"exists"`
`public static final String`
`PARAM_GROUP`
`"group"`
`public static final String`
`PARAM_IP`
`"ip"`
`public static final String`
`PARAM_IS`
`"is"`
`public static final String`
`PARAM_PAGE`
`"page"`
`public static final String`
`PARAM_USER`
`"user"`
`public static final String`
`PARAM_VAR`
`"var"`
org.apache.wiki.plugin.Image
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_ALIGN`
`"align"`
`public static final String`
`PARAM_ALT`
`"alt"`
`public static final String`
`PARAM_BORDER`
`"border"`
`public static final String`
`PARAM_CAPTION`
`"caption"`
`public static final String`
`PARAM_CLASS`
`"class"`
`public static final String`
`PARAM_HEIGHT`
`"height"`
`public static final String`
`PARAM_LINK`
`"link"`
`public static final String`
`PARAM_SRC`
`"src"`
`public static final String`
`PARAM_STYLE`
`"style"`
`public static final String`
`PARAM_TARGET`
`"target"`
`public static final String`
`PARAM_TITLE`
`"title"`
`public static final String`
`PARAM_WIDTH`
`"width"`
org.apache.wiki.plugin.InsertPage
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_RECURSE`
`"org.apache.wiki.plugin.InsertPage.recurseCheck"`
`public static final String`
`PARAM_CLASS`
`"class"`
`public static final String`
`PARAM_DEFAULT`
`"default"`
`public static final String`
`PARAM_MAXLENGTH`
`"maxlength"`
`public static final String`
`PARAM_PAGENAME`
`"page"`
`public static final String`
`PARAM_SECTION`
`"section"`
`public static final String`
`PARAM_SHOW`
`"show"`
`public static final String`
`PARAM_STYLE`
`"style"`
org.apache.wiki.plugin.Note
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NOTE_IMAGE`
`"note.png"`
`public static final String`
`PROP_NOTE_IMAGE`
`"notePlugin.imageName"`
org.apache.wiki.plugin.PluginManager
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PACKAGE`
`"org.apache.wiki.plugin"`
`public static final String`
`PARAM_BODY`
`"_body"`
`public static final String`
`PARAM_BOUNDS`
`"_bounds"`
`public static final String`
`PARAM_CMDLINE`
`"_cmdline"`
`public static final String`
`PARAM_DEBUG`
`"debug"`
`public static final String`
`PROP_EXTERNALJARS`
`"jspwiki.plugin.externalJars"`
org.apache.wiki.plugin.RecentChangesPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DATE_FORMAT`
`"dd.MM.yyyy"`
`public static final String`
`DEFAULT_TIME_FORMAT`
`"HH:mm:ss"`
`public static final String`
`PARAM_DATE_FORMAT`
`"dateFormat"`
`public static final String`
`PARAM_FORMAT`
`"format"`
`public static final String`
`PARAM_TIME_FORMAT`
`"timeFormat"`
org.apache.wiki.plugin.ReferredPagesPlugin
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_DEPTH`
`8`
`public static final int`
`MIN_DEPTH`
`1`
`public static final String`
`PARAM_COLUMNS`
`"columns"`
`public static final String`
`PARAM_DEPTH`
`"depth"`
`public static final String`
`PARAM_EXCLUDE`
`"exclude"`
`public static final String`
`PARAM_FORMAT`
`"format"`
`public static final String`
`PARAM_INCLUDE`
`"include"`
`public static final String`
`PARAM_ROOT`
`"page"`
`public static final String`
`PARAM_TYPE`
`"type"`
org.apache.wiki.plugin.ReferringPagesPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_EXTRAS`
`"extras"`
`public static final String`
`PARAM_MAX`
`"max"`
`public static final String`
`PARAM_PAGE`
`"page"`
org.apache.wiki.plugin.ReferringUndefinedPagesPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_EXTRAS`
`"extras"`
`public static final String`
`PARAM_MAX`
`"max"`
org.apache.wiki.plugin.Search
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SETNAME`
`"_defaultSet"`
`public static final String`
`PARAM_MAX`
`"max"`
`public static final String`
`PARAM_QUERY`
`"query"`
`public static final String`
`PARAM_SET`
`"set"`
org.apache.wiki.plugin.SessionsPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_PROP`
`"property"`
org.apache.wiki.plugin.TableOfContents
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_NUMBERED`
`"numbered"`
`public static final String`
`PARAM_PREFIX`
`"prefix"`
`public static final String`
`PARAM_START`
`"start"`
`public static final String`
`PARAM_TITLE`
`"title"`
org.apache.wiki.plugin.UnusedPagesPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_EXCLUDEATTS`
`"excludeattachments"`
org.apache.wiki.plugin.WeblogArchivePlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_PAGE`
`"page"`
org.apache.wiki.plugin.WeblogEntryPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_BLOGNAME`
`"page"`
`public static final String`
`PARAM_ENTRYTEXT`
`"entrytext"`
org.apache.wiki.plugin.WeblogPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_ISWEBLOG`
`"weblogplugin.isweblog"`
`public static final String`
`DEFAULT_DATEFORMAT`
`"ddMMyy"`
`public static final String`
`PARAM_ALLOWCOMMENTS`
`"allowComments"`
`public static final String`
`PARAM_DAYS`
`"days"`
`public static final String`
`PARAM_ENTRYFORMAT`
`"entryFormat"`
`public static final String`
`PARAM_MAXENTRIES`
`"maxEntries"`
`public static final String`
`PARAM_PAGE`
`"page"`
`public static final String`
`PARAM_PREVIEW`
`"preview"`
`public static final String`
`PARAM_STARTDATE`
`"startDate"`

org.apache.wiki.preferences.Preferences
Modifier and Type
Constant Field
Value
`public static final String`
`COOKIE_USER_PREFS_NAME`
`"JSPWikiUserPrefs"`
`public static final String`
`SESSIONPREFS`
`"prefs"`

org.apache.wiki.providers.AbstractFileProvider
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_PROPKEYLENGTH`
`255`
`public static final int`
`DEFAULT_MAX_PROPLIMIT`
`200`
`public static final int`
`DEFAULT_MAX_PROPVALUELENGTH`
`4096`
`public static final String`
`FILE_EXT`
`".txt"`
`public static final String`
`PROP_CUSTOMPROP_MAXKEYLENGTH`
`"custom.pageproperty.key.length"`
`public static final String`
`PROP_CUSTOMPROP_MAXLIMIT`
`"custom.pageproperty.max.allowed"`
`public static final String`
`PROP_CUSTOMPROP_MAXVALUELENGTH`
`"custom.pageproperty.value.length"`
`public static final String`
`PROP_PAGEDIR`
`"jspwiki.fileSystemProvider.pageDir"`
org.apache.wiki.providers.BasicAttachmentProvider
Modifier and Type
Constant Field
Value
`public static final String`
`ATTDIR_EXTENSION`
`"-dir"`
`public static final String`
`DIR_EXTENSION`
`"-att"`
`public static final String`
`PROP_DISABLECACHE`
`"jspwiki.basicAttachmentProvider.disableCache"`
`public static final String`
`PROPERTY_FILE`
`"attachment.properties"`
org.apache.wiki.providers.FileSystemProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_EXT`
`".properties"`
org.apache.wiki.providers.VersioningFileProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PAGEDIR`
`"OLD"`
`public static final String`
`PROPERTYFILE`
`"page.properties"`

org.apache.wiki.render.RenderingManager
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_BEAUTIFYTITLE`
`"jspwiki.breakTitleWithSpaces"`
`public static final String`
`PROP_PARSER`
`"jspwiki.renderingManager.markupParser"`
`public static final String`
`PROP_RENDERER`
`"jspwiki.renderingManager.renderer"`
`public static final String`
`PROP_WYSIWYG_RENDERER`
`"jspwiki.renderingManager.renderer.wysiwyg"`
org.apache.wiki.render.WikiRenderer
Modifier and Type
Constant Field
Value
`public static final String`
`LINKS_SOURCE`
`"(.+)#section-.+-(.+)"`
`public static final String`
`LINKS_TRANSLATION`
`"$1#$2"`

org.apache.wiki.rss.AtomFeed
Modifier and Type
Constant Field
Value
`public static final String`
`RFC3339FORMAT`
`"yyyy-MM-dd\'T\'HH:mm:ssZZ"`
org.apache.wiki.rss.Feed
Modifier and Type
Constant Field
Value
`public static final String`
`VAR_BLOGNAME`
`"blogname"`
org.apache.wiki.rss.RSSGenerator
Modifier and Type
Constant Field
Value
`public static final String`
`ATOM`
`"atom"`
`public static final String`
`MODE_BLOG`
`"blog"`
`public static final String`
`MODE_FULL`
`"full"`
`public static final String`
`MODE_WIKI`
`"wiki"`
`public static final String`
`PROP_CHANNEL_DESCRIPTION`
`"jspwiki.rss.channelDescription"`
`public static final String`
`PROP_CHANNEL_LANGUAGE`
`"jspwiki.rss.channelLanguage"`
`public static final String`
`PROP_CHANNEL_TITLE`
`"jspwiki.rss.channelTitle"`
`public static final String`
`PROP_GENERATE_RSS`
`"jspwiki.rss.generate"`
`public static final String`
`PROP_INTERVAL`
`"jspwiki.rss.interval"`
`public static final String`
`PROP_RSS_AUTHOR`
`"jspwiki.rss.author"`
`public static final String`
`PROP_RSS_AUTHOREMAIL`
`"jspwiki.rss.author.email"`
`public static final String`
`PROP_RSSFILE`
`"jspwiki.rss.fileName"`
`public static final String`
`RSS10`
`"rss10"`
`public static final String`
`RSS20`
`"rss20"`

org.apache.wiki.search.DefaultSearchManager.JSONSearch
Modifier and Type
Constant Field
Value
`public static final String`
`AJAX_ACTION_PAGES`
`"pages"`
`public static final String`
`AJAX_ACTION_SUGGESTIONS`
`"suggestions"`
`public static final int`
`DEFAULT_MAX_RESULTS`
`20`
org.apache.wiki.search.DefaultSearchManager.PluginSearch
Modifier and Type
Constant Field
Value
`public static final String`
`AJAX_ACTION_PLUGINS`
`"plugins"`
`public static final int`
`DEFAULT_MAX_RESULTS`
`20`
org.apache.wiki.search.LuceneSearchProvider
Modifier and Type
Constant Field
Value
`public static final int`
`FLAG_CONTEXTS`
`1`
`protected static final String`
`LUCENE_ATTACHMENTS`
`"attachment"`
`protected static final String`
`LUCENE_AUTHOR`
`"author"`
`protected static final String`
`LUCENE_ID`
`"id"`
`protected static final String`
`LUCENE_PAGE_CONTENTS`
`"contents"`
`protected static final String`
`LUCENE_PAGE_KEYWORDS`
`"keywords"`
`protected static final String`
`LUCENE_PAGE_NAME`
`"name"`
`public static final int`
`MAX_SEARCH_HITS`
`99999`
`public static final String`
`PROP_LUCENE_ANALYZER`
`"jspwiki.lucene.analyzer"`
org.apache.wiki.search.SearchManager
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SEARCHPROVIDER`
`"org.apache.wiki.search.LuceneSearchProvider"`
`public static final String`
`JSON_SEARCH`
`"search"`
`public static final String`
`PLUGIN_SEARCH`
`"plugins"`
`public static final String`
`PROP_SEARCHPROVIDER`
`"jspwiki.searchProvider"`

org.apache.wiki.tags.BreadcrumbsTag
Modifier and Type
Constant Field
Value
`public static final String`
`BREADCRUMBTRAIL_KEY`
`"breadCrumbTrail"`
org.apache.wiki.tags.DiffLinkTag
Modifier and Type
Constant Field
Value
`public static final String`
`VER_CURRENT`
`"current"`
`public static final String`
`VER_LATEST`
`"latest"`
`public static final String`
`VER_PREVIOUS`
`"previous"`
org.apache.wiki.tags.InsertDiffTag
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_NEWVERSION`
`"newdiff"`
`public static final String`
`ATTR_OLDVERSION`
`"olddiff"`
org.apache.wiki.tags.InsertPageTag
Modifier and Type
Constant Field
Value
`public static final int`
`HTML`
`0`
`public static final int`
`PLAIN`
`1`
org.apache.wiki.tags.PageDateTag
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FORMAT`
`"dd-MMM-yyyy HH:mm:ss zzz"`
org.apache.wiki.tags.UserProfileTag
Modifier and Type
Constant Field
Value
`public static final String`
`BLANK`
`"(not set)"`
org.apache.wiki.tags.WikiLinkTag
Modifier and Type
Constant Field
Value
`public static final int`
`ANCHOR`
`0`
`public static final int`
`URL`
`1`

org.apache.wiki.tasks.TasksManager
Modifier and Type
Constant Field
Value
`public static final String`
`USER_PROFILE_SAVE_TASK_MESSAGE_KEY`
`"task.createUserProfile"`
`public static final String`
`WIKIPAGE_PRESAVE_TASK_MESSAGE_KEY`
`"task.preSaveWikiPage"`
`public static final String`
`WIKIPAGE_SAVE_TASK_MESSAGE_KEY`
`"task.saveWikiPage"`

org.apache.wiki.ui.CommandResolver
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_SPECIALPAGE`
`"jspwiki.specialPage."`
org.apache.wiki.ui.EditorManager
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_EDITEDTEXT`
`"_editedtext"`
`public static final String`
`EDITOR_PLAIN`
`"plain"`
`public static final String`
`EDITOR_PREVIEW`
`"preview"`
`public static final String`
`PARA_EDITOR`
`"editor"`
`public static final String`
`PROP_EDITORTYPE`
`"jspwiki.editor"`
`public static final String`
`REQ_EDITEDTEXT`
`"_editedtext"`
org.apache.wiki.ui.InputValidator
Modifier and Type
Constant Field
Value
`public static final int`
`EMAIL`
`1`
`public static final int`
`ID`
`2`
`public static final int`
`STANDARD`
`0`
org.apache.wiki.ui.Installer
Modifier and Type
Constant Field
Value
`public static final String`
`ADMIN_GROUP`
`"Admin"`
`public static final String`
`ADMIN_ID`
`"admin"`
`public static final String`
`ADMIN_NAME`
`"Administrator"`
`public static final String`
`APP_NAME`
`"jspwiki.applicationName"`
`public static final String`
`INSTALL_ERROR`
`"Installer.Error"`
`public static final String`
`INSTALL_INFO`
`"Installer.Info"`
`public static final String`
`INSTALL_WARNING`
`"Installer.Warning"`
`public static final String`
`PAGE_DIR`
`"jspwiki.fileSystemProvider.pageDir"`
`public static final String`
`PROPFILENAME`
`"jspwiki-custom.properties"`
`public static final String`
`STORAGE_DIR`
`"jspwiki.basicAttachmentProvider.storageDir"`
`public static final String`
`WORK_DIR`
`"jspwiki.workDir"`
org.apache.wiki.ui.TemplateManager
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TEMPLATE`
`"default"`
`public static final String`
`DIRECTORY`
`"templates"`
`public static final String`
`I18NDEFAULT_LOCALE`
`"prefs.user.language.default"`
`public static final String`
`I18NRESOURCE_EN`
`"templates/default.properties"`
`public static final String`
`I18NRESOURCE_EN_ID`
`"en"`
`public static final String`
`I18NRESOURCE_PREFIX`
`"templates/default_"`
`public static final String`
`I18NRESOURCE_SUFFIX`
`".properties"`
`public static final String`
`I18NSERVER_TIMEZONE`
`"prefs.user.timezone.server"`
`public static final String`
`PROPERTYFILE`
`"template.properties"`
`public static final String`
`RESOURCE_HTTPHEADER`
`"httpheader"`
`public static final String`
`RESOURCE_INCLUDES`
`"jspwiki.resourceincludes"`
`public static final String`
`RESOURCE_INLINECSS`
`"inlinecss"`
`public static final String`
`RESOURCE_JSFUNCTION`
`"jsfunction"`
`public static final String`
`RESOURCE_JSLOCALIZEDSTRINGS`
`"jslocalizedstrings"`
`public static final String`
`RESOURCE_SCRIPT`
`"script"`
`public static final String`
`RESOURCE_STYLESHEET`
`"stylesheet"`
`public static final String`
`SKIN_DIRECTORY`
`"skins"`
`public static final String`
`TIMEFORMATPROPERTIES`
`"jspwiki.defaultprefs.timeformat."`

org.apache.wiki.ui.admin.AdminBean
Modifier and Type
Constant Field
Value
`public static final int`
`CORE`
`1`
`public static final int`
`EDITOR`
`2`
`public static final int`
`UNKNOWN`
`0`

org.apache.wiki.ui.progress.ProgressItem
Modifier and Type
Constant Field
Value
`public static final int`
`CREATED`
`0`
`public static final int`
`FINISHED`
`3`
`public static final int`
`STARTED`
`1`
`public static final int`
`STOPPED`
`2`
org.apache.wiki.ui.progress.ProgressManager
Modifier and Type
Constant Field
Value
`public static final String`
`JSON_PROGRESSTRACKER`
`"progressTracker"`

org.apache.wiki.url.ShortURLConstructor
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_PREFIX`
`"jspwiki.shortURLConstructor.prefix"`

org.apache.wiki.variables.VariableManager
Modifier and Type
Constant Field
Value
`public static final String`
`VAR_ERROR`
`"error"`
`public static final String`
`VAR_MSG`
`"msg"`
`public static final String`
`VAR_RUNFILTERS`
`"jspwiki.runFilters"`

org.apache.wiki.workflow.Workflow
Modifier and Type
Constant Field
Value
`public static final int`
`ABORTED`
`40`
`public static final int`
`COMPLETED`
`50`
`public static final int`
`CREATED`
`-2`
`public static final int`
`ID_NOT_SET`
`0`
`public static final int`
`RUNNING`
`-1`
`public static final int`
`WAITING`
`30`
org.apache.wiki.workflow.WorkflowManager
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_APPROVER_PREFIX`
`"jspwiki.approver."`
`public static final String`
`WF_UP_CREATE_SAVE_APPROVER`
`"workflow.createUserProfile"`
`public static final String`
`WF_UP_CREATE_SAVE_ATTR_SAVED_PROFILE`
`"userProfile"`
`public static final String`
`WF_UP_CREATE_SAVE_DECISION_MESSAGE_KEY`
`"decision.createUserProfile"`
`public static final String`
`WF_UP_CREATE_SAVE_FACT_PREFS_EMAIL`
`"prefs.email"`
`public static final String`
`WF_UP_CREATE_SAVE_FACT_PREFS_FULL_NAME`
`"prefs.fullname"`
`public static final String`
`WF_UP_CREATE_SAVE_FACT_PREFS_LOGIN_NAME`
`"prefs.loginname"`
`public static final String`
`WF_UP_CREATE_SAVE_FACT_SUBMITTER`
`"fact.submitter"`
`public static final String`
`WF_WP_SAVE_APPROVER`
`"workflow.saveWikiPage"`
`public static final String`
`WF_WP_SAVE_DECISION_MESSAGE_KEY`
`"decision.saveWikiPage"`
`public static final String`
`WF_WP_SAVE_FACT_CURRENT_TEXT`
`"fact.currentText"`
`public static final String`
`WF_WP_SAVE_FACT_DIFF_TEXT`
`"fact.diffText"`
`public static final String`
`WF_WP_SAVE_FACT_IS_AUTHENTICATED`
`"fact.isAuthenticated"`
`public static final String`
`WF_WP_SAVE_FACT_PAGE_NAME`
`"fact.pageName"`
`public static final String`
`WF_WP_SAVE_FACT_PROPOSED_TEXT`
`"fact.proposedText"`
`public static final String`
`WF_WP_SAVE_REJECT_MESSAGE_KEY`
`"notification.saveWikiPage.reject"`